:root {
    --background: #161616;
    --opcat-background: #2222228b;
    --stroke: #5f5f5f;
    --stroke-up: #707070;
    --accent-color: #75fff6;
    --accent-color-low: #75fff651;
    --opcat-blackground: #00000051;
    --text1: #fff;
    --text2: #b6b6b6;
    scroll-behavior: smooth;
}

html,
body {
    margin-top: 0;
    margin-left: 0;
    background: var(--background);
}

nav {
    background: var(--opcat-background);
    position: fixed;
    width: 100%;
    height: 75px;
    backdrop-filter: blur(3px);
    z-index: 5;
}

@font-face {
    font-family: 'Jost';
    src: url(static/Jost-Bold.ttf) format('truetype');
}


.line-bottom {
    background: var(--stroke);
    position: absolute;
    bottom: 1px;
    width: 100%;
    margin-left: 0;
    height: 1px;
}

.Logo {
    background: url(static/logo.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 60px;
    height: 60px;
    position: absolute;
    top: 5px;
    left: 25px;
}

.lilbox {
    position: relative;
    left: 1px;
    width: 100%;
    height: 1050px;
    --color: rgba(114, 114, 114, 0.113);
    background-image: linear-gradient(0deg, transparent 24%, var(--color) 25%, var(--color) 26%, transparent 27%, transparent 74%, var(--color) 75%, var(--color) 76%, transparent 77%, transparent),
        linear-gradient(90deg, transparent 24%, var(--color) 25%, var(--color) 26%, transparent 27%, transparent 74%, var(--color) 75%, var(--color) 76%, transparent 77%, transparent);
    background-size: 55px 55px;
    overflow: hidden;
}

.code-box {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 845px;
    width: 90%;
    background: var(--opcat-background);
    max-width: 600px;
    min-width: 335px;
    text-align: center;
    font-family: monospace;
    color: var(--text2);
    padding: 15px;
    border-radius: 10px;
    border: solid 2px var(--stroke);
    user-select: none;
    cursor: pointer;
    filter: drop-shadow(0px 0px 4px black);
    transition: all 0.35s ease;
}

.indcators {
    z-index: 3;
    background: var(--opcat-background);
    font-family: 'Jost';
    color: var(--text1);
    text-align: center;
    width: 100%;
    opacity: 0;
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    border-radius: 10px;
    line-height: 55px;
    transition: all 0.35s ease;
}

.code-box:hover {
    padding: 20px;
    top: 840px;

    .indcators {
        opacity: 1;
    }
}

.dtv {
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    width: 300px;
    height: 65px;
    display: flex;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    flex-direction: row-reverse;
    gap: 5px;
}

.bth-nav {
    font-family: 'Jost';
    color: var(--text2);
    font-size: 35px;
    width: 50px;
    height: 50px;
    cursor: pointer;
    transition: all 0.25s ease;
}

.bth-nav:hover {
    color: var(--text1);
    scale: 1.1;
}


.stgs {
    font-family: 'Jost';
    color: var(--text1);
    position: absolute;
    left: 0;
    width: 100%;
    text-align: center;
    text-wrap-mode: nowrap;
    font-size: 3.5em;
    top: 150px;
    opacity: 0;
    z-index: 1;
    filter: drop-shadow(0px 0px 35px var(--accent-color-low));
    transition: all 0.7s ease;
    animation: stgs_anim 10s ease infinite;
}

@keyframes stgs_anim {
    0% {
        filter: drop-shadow(-2px 2px 1px var(--accent-color-low));
    }

    33% {
        filter: drop-shadow(-2px 2px 1px var(--accent-color-low));
    }

    55% {
        filter: drop-shadow(2px -2px 1px var(--accent-color-low));
    }

    77% {
        filter: drop-shadow(-2px -2px 1px var(--accent-color-low));
    }

    100% {
        filter: drop-shadow(2px 2px 1px var(--accent-color-low));
    }
}

.stgs.on {
    top: 120px;
    opacity: 1;
}

.stgs2 {
    font-family: 'Jost';
    color: var(--text1);
    position: relative;
    left: 0;
    width: 100%;
    text-align: center;
    text-wrap-mode: nowrap;
    font-size: 2.5em;
    top: 30px;
    opacity: 0;
    z-index: 1;
    transform: rotateX(-90deg);
    object-fit: contain;
    filter: drop-shadow(0px 0px 35px var(--accent-color));
    transition: all 0.7s ease;
}

.voids {
    position: relative;
    display: block;
    height: attr(sdata px, unset);
}

.stgs2.on {
    top: 0px;
    opacity: 1;
    transform: rotateX(0deg);
}

.stsglil {
    font-family: 'Jost';
    color: var(--text2);
    position: absolute;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 17px;
    text-wrap-mode: nowrap;
    top: 260px;
    z-index: 1;
    display: block;
    opacity: 0;
    transition: all 1s ease;
}

.stsglil.on {
    opacity: 1;
    top: 250px;
}

.stsglil.on>strong {
    opacity: 1;
    filter: drop-shadow(0px 0px 1px var(--accent-color-low));
    color: var(--accent-color);
}

.stsglil2 {
    font-family: 'Jost';
    color: var(--text2);
    position: relative;
    left: 50%;
    transform: translateX(-50%) rotateX(-90deg);
    width: calc(100% - 100px);
    min-width: 355px;
    max-width: 511px;
    text-align: center;
    filter: blur(20px);
    font-size: 15px;
    top: 25px;
    z-index: 1;
    display: block;
    opacity: 0;
    object-fit: contain;
    transition: all 1s ease;
}

.stsglil2.on {
    opacity: 1;
    top: 0px;
    filter: blur(0px);
    transform: translateX(-50%) rotateX(0deg);
}

.stsglil2.nowp {
    left: 0;
    transform: translateX(0);
}

.imgdc {
    width: 100%;
    position: relative;
    display: block;
    border-radius: 220px;
    object-fit: contain;
    object-position: center;
    filter: drop-shadow(0px 0px 25px var(--opcat-blackground));
}

.hismoving {
    position: absolute;
    left: 50%;
    transform: translateX(-50%) perspective(600px) rotateX(-25deg);
    width: calc(100% - 75px);
    max-width: 735px;
    min-width: 375px;
    top: 350px;
    opacity: 0;
    object-fit: contain;
    height: 545px;
    z-index: 1;
    object-position: center;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    transition: all 1.25s ease;
}

.hismoving.on {
    top: 285px;
    width: calc(100% - 100px);
    opacity: 1;
    transform: translateX(-50%) perspective(600px) rotateX(0deg);
}

.lpoint1 {
    position: absolute;
    right: 22%;
    top: 25%;
    --cc: #7ff0ff1c;
    --scale: 500px;
    filter: blur(70px);
    width: var(--scale);
    border-radius: 100%;
    height: var(--scale);
    z-index: 0;
    background: var(--cc);
    opacity: 0;
    scale: 0.5;
    transition: all 1.5s ease;
}

.lpoint2 {
    position: absolute;
    left: 22%;
    bottom: -225px;
    --cc: #ff7f7f1c;
    --scale: 500px;
    filter: blur(70px);
    width: var(--scale);
    border-radius: 100%;
    height: var(--scale);
    z-index: 0;
    background: var(--cc);
    opacity: 0;
    scale: 0.5;
    transition: all 1.15s ease;
}

.lpoint2.on,
.lpoint1.on {
    opacity: 1;
    scale: 1;

    --scalemov: 25px;
    animation: moving_pointlight 3s infinite;
}

@keyframes moving_pointlight {
    0% {
        scale: 1;
        transform: translateX(0px) translateY(0px);
    }

    25% {
        scale: 1.2;
        transform: translateX(-33px) translateY(0px);
    }

    50% {
        scale: 1.1;
        transform: translateX(33px) translateY(33px);
    }

    50% {
        scale: 1.1;
        transform: translateX(-33px) translateY(-33px);
    }

    100% {
        scale: 1;
        transform: translateX(0px) translateY(0px);
    }
}

.lilbox-gid {
    position: relative;
    margin-left: 0;
    width: 100%;
    height: auto;
    --color1: rgba(34, 165, 197, 0);
    --color2: rgba(16, 165, 185, 0);
    background-image: rgba(0, 0, 0, 0);
    background-size:
        40px 40px,
        40px 40px,
        40px 40px,
        40px 40px;
    z-index: 2;
    overflow-x: hidden;
    transition: all 0.5s;
}

.lilbox-gid.FULL {
    height: 100vh;
}


.rattersss {
    position: absolute;
    margin-left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    --c1: rgba(34, 165, 197, 0.35);
    --c2: rgba(16, 165, 185, 0.5);

    background-image:
        repeating-linear-gradient(0deg,
            transparent 0 19px,
            var(--c1) 19px 20px,
            transparent 20px 39px,
            var(--c1) 39px 40px),
        repeating-linear-gradient(90deg,
            transparent 0 19px,
            var(--c1) 19px 20px,
            transparent 20px 39px,
            var(--c1) 39px 40px),
        radial-gradient(circle at 20px 20px, var(--c2) 2px, transparent 2px),
        radial-gradient(circle at 40px 40px, var(--c2) 2px, transparent 2px);

    animation: bgSmooth 3s ease-in-out infinite;
    will-change: filter, opacity;
}

@keyframes bgSmooth {
    0% {
        opacity: 0.25;
        filter: brightness(0.9);
    }

    50% {
        opacity: 0.3;
        filter: brightness(1.15);
    }

    100% {
        opacity: 0.25;
        filter: brightness(0.9);
    }
}


.gid-blx {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - 100px);
    min-width: 375px;
    max-width: 1700px;
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: center;
    align-items: center;
    gap: 25px;
}

.f-contaainbox {
    position: relative;
    width: 470px;
    height: 250px;
    z-index: 2;
    top: 35px;
    opacity: 0;
    transition: all 0.75s ease;
}

.f-contaainbox.on {
    top: 0px;
    scale: 1;
    opacity: 1;
}

.feature-box {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
    background: var(--opcat-background);
    backdrop-filter: blur(10px);
    border: solid 2px var(--stroke);
    border-radius: 10px;
    overflow: hidden;
    transition: border 0.25s ease;
}

.background-feature {
    background-image: var(--img);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0.25;
    transition: all 0.5s ease;
}

.feature-box:hover {
    border: solid 2px var(--stroke-up);

    .background-feature {
        scale: 1.2;
        opacity: 0.45;
    }
}

.feature-title {
    font-family: 'Jost';
    color: var(--text1);
    position: absolute;
    width: 100%;
    left: 15px;
    font-size: 25px;
    filter: drop-shadow(0px 0px 4px rgba(0, 0, 0, 0.43));
    bottom: 65px;
}

.feature-desc {
    font-family: 'Jost';
    color: var(--text2);
    position: absolute;
    bottom: 20px;
    left: 15px;
    font-size: 14px;
    width: calc(100% - 30px);
    filter: drop-shadow(0px 0px 4px rgba(0, 0, 0, 0.43));
}

.feature-desc strong {
    color: var(--accent-color);
}

.feature-title>i {
    color: var(--accent-color);
}

.package-box-container {
    position: relative;
    width: 375px;
    height: 230px;
    z-index: 2;
    top: 35px;
    opacity: 0;
    transition: all 0.75s ease;
}

.package-box-container.on {
    opacity: 1;
    top: 0px;
}

.package-box-inner {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
    background: var(--opcat-background);
    backdrop-filter: blur(10px);
    border: solid 2px var(--stroke);
    border-radius: 10px;
    overflow: hidden;
    transition: border 0.25s ease;
}

.package-logo {
    background: url(static/logo.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    left: 30px;
    top: 50%;
    width: 135px;
    height: 135px;
    opacity: 0.75;
    transform: translateY(-50%);

    transition: all 0.25s ease;
}

.package-price {
    position: absolute;
    font-family: 'Jost';
    color: var(--text1);
    left: 210px;
    top: 10px;
    font-size: 20px;
    pointer-events: none;
}

.package-price>strong {
    font-size: 15px;
    opacity: 0.5;
    left: 5px;
    position: relative;
}

.package-linebox {
    background: var(--stroke);
    position: absolute;
    height: 90%;
    top: 50%;
    left: 195px;
    transform: translateY(-50%);
    width: 1px;
}

.package-list {
    position: absolute;
    left: 210px;
    width: calc(100% - 215px);
    top: 60px;
    height: calc(90% - 85px);
    display: flex;
    flex-direction: column;
}

.plisttext {
    font-family: 'Jost';
    color: var(--text2);
    position: relative;
    font-size: 15px;
    pointer-events: none;
}

.package-box-container:hover {
    .package-logo {
        opacity: 0.9;
        scale: 1.1;
    }

    .package-box-inner {
        border: solid 2px var(--stroke-up);
    }
}

.profile-frame {
    background: var(--opcat-background);
    border: solid 2px var(--stroke);
    position: relative;
    width: 290px;
    height: 300px;
    border-radius: 10px;
    backdrop-filter: blur(5px);
    display: block;
    position: relative;
    text-decoration: none;
    transition: all 0.4s ease;
}

.profile-frame:hover {
    scale: 1.025;
    border: solid 2px var(--stroke-up);
}

.prif-img {
    background-image: var(--pfp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 100%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 130px;
    height: 130px;
    top: 30px;
    filter: drop-shadow(0px 0px 4px black);
}

.pfpname {
    font-family: 'Jost';
    font-size: 25px;
    color: var(--text1);
    position: absolute;
    width: 100%;
    left: 0;
    top: 170px;
    text-align: center;
}

.deao {
    opacity: 0;
    transition: all 0.5s ease;
}

.deao.on {
    opacity: 1;
}

.pfpfrole {
    font-family: 'Jost';
    font-size: 15px;
    color: var(--text2);
    position: absolute;
    width: calc(100% - 100px);
    left: 50%;
    transform: translateX(-50%);
    top: 235px;
    text-align: center;
}

.packagebth {
    position: absolute;
    right: 10px;
    width: 155px;
    height: 35px;
    display: block;
    text-align: center;
    text-decoration: none;
    stroke: none;
    border-radius: 10px;
    background: var(--opcat-background);
    border: solid 2px var(--stroke);
    bottom: 10px;
    font-family: 'Jost';
    color: var(--text2);
    cursor: pointer;
    transition: all 0.3s ease;
}

.packagebth:hover {
    background: var(--background);
    color: var(--text1);
}

.faq-box {
    width: 100%;
    position: relative;
    height: 120px;
    top: 35px;
    opacity: 0;
    transition: all 0.5s ease;
}

.faq-box.on {
    opacity: 1;
    top: 0px;
}

.fqa-box-main {
    width: 100%;
    min-width: 375px;
    max-width: 550px;
    position: absolute;
    height: 115px;
    background: var(--opcat-background);
    border: solid 2px var(--stroke);
    left: 50%;
    border-radius: 10px;
    transform: translateX(-50%);
    transition: all 0.5s ease;
}

.fqa-box-main:hover {
    border: solid 2px var(--stroke-up);
}

.fqa-box-main>h1 {
    font-family: 'Jost';
    color: var(--text1);
    position: absolute;
    left: 15px;
    font-size: 18px;
}

.fqa-box-main>span {
    font-family: 'Jost';
    color: var(--text2);
    position: absolute;
    left: 15px;
    top: 45px;
    font-size: 15px;
}

.announcebox {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    background: var(--opcat-background);
    font-family: 'Jost';
    font-size: 15px;
    z-index: 5;
    color: var(--text1);
    top: 100px;
    backdrop-filter: blur(10px);
    border: solid 2px var(--stroke);
    border-radius: 10px;
    min-width: 370px;
}

.key-list {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.key-box {
    width: 335px;
    position: relative;
    height: 65px;
    background: var(--opcat-background);
    border: solid 2px var(--stroke);
    border-radius: 10px;
    font-family: 'Jost';
    font-size: 25px;
    padding: 0px 10px;
    color: var(--text1);
    cursor: pointer;
    text-decoration: none;
    transition: all 0.25s ease;
}

.key-box>img {
    width: 40px;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

.key-box:hover {
    scale: 1.025;
    background: var(--background);
    border: solid 2px var(--stroke-up);
}

@media (max-width: 768px) {
    .imgdc {
        border-radius: 117px;
    }

    .f-contaainbox {
        position: relative;
        width: 370px;
        height: 270px;
        z-index: 2;
    }

    .feature-title {
        bottom: 80px;
    }
}

footer {
    position: relative;
    left: 0;
    width: 100%;
    height: 75px;
    bottom: 0px;
}

footer>h1 {
    font-family: 'Jost';
    color: var(--text1);
    font-size: 15px;
    position: absolute;
    top: 50%;
    left: 25px;
    transform: translateY(-50%);
}